import request from '/@/utils/request';

export function accidentManagementSystemApi(){
    return {
        // 事故快报一览
        accidentList:(params:object)=>{
            return request({
                url:"/accidentExpress/page/list",
                method:"post",
                data:params
            })
        },
        // 事故快报新增
        accidentAdd:(params:object)=>{
            return request({
                url:"/accidentExpress/add",
                method:"post",
                data:params
            })
        },
        // 事故快报详情
        accidentScarh:(params:number)=>{
            return request({
                url:`/accidentExpress/info/${params}`,
                method:"get",
            })
        },
        // 事故快报修改
        accidentView:(params:object)=>{
            return request({
                url:"/accidentExpress/update",
                method:"post",
                data:params
            })
        },
        // 事故快报删除
        accidentDele:(params:object)=>{
            return request({
                url:`/accidentExpress/batchDelete/${params}`,
                method:"get",
            })
        },

        // 事故报告一览
        getAccidentReportList: (params: object) => {
            return request({
                url: '/accidentReport/page/list',
                method: 'post',
                data:params
            })
        },
        // 事故报告新增
        addAccidentReport: (params: object) => {
            return request({
                url: `/accidentReport/add`,
                method: 'post',
                data: params
            });
        },
        // 事故报告详情
        seeAccidentReport: (params:number) => {
            return request({
                url: `/accidentReport/info/${params}`,
                method: 'get'
            });
        },
        // 事故报告编辑
        editAccidentReport: (params: object) => {
            return request({
                url: `/accidentReport/update`,
                method: 'post',
                data: params
            });
        },
        // 事故报告删除
        deleteAccidentReport: (params:object) => {
            return request({
                url: `/accidentReport/batchDelete/${params}`,
                method: 'get',
            });
        },

        //  工伤申报一览
        workList:(params:object)=>{
            return request({
                url:"/workInjuryDeclaration/page/list",
                method:"post",
                data:params
            })
        },
        // 工伤申报新增
        workAdd:(params:object)=>{
            return request({
                url:"/workInjuryDeclaration/add",
                method:"post",
                data:params
            })
        },
        // 工伤申报详情
        seeAccidentManagementSystem:(params:number)=>{
            return request({
                url:`workInjuryDeclaration/info/${params}`,
                method:"get",
            })
        },
        // 工伤申报修改
        workView:(params:object)=>{
            return request({
                url:"/workInjuryDeclaration/update",
                method:"post",
                data:params
            })
        },
        // 工伤申报删除/批量删除
        workDelete:(params:object)=>{
            return request({
                url:`/workInjuryDeclaration/batchDelete/${params}`,
                method:"get",
            })
        },
    }
}